Package be.vlaanderen.mercurius.mohm.common.v7

# Class ApplicationAccessoryType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ApplicationAccessoryType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationAccessoryType extends Object implements Serializable
Generiek type voor een toebehoren in een aanvraag.

Java class for ApplicationAccessoryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationAccessoryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ProductNumberType" minOccurs="0"/>
             <element name="PublicPrice" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="AllowanceVSB" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="Supplement" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationAccessoryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAllowanceVSB()`
  Tegemoetkoming VSB van de aanpassing.
  `String`
  `getCareServiceCode()`
  Prestatiecode van de aanpassing.
  `String`
  `getProductnumber()`
  Elke prestatiecode van een aanpassing heeft een productcode.
  `BigDecimal`
  `getPublicPrice()`
  Publieke prijs van de aanpassing.
  `BigDecimal`
  `getSupplement()`
  Supplement van de aanpassing, kan gelijk zijn aan 0.
  `void`
  `setAllowanceVSB(BigDecimal value)`
  Sets the value of the allowanceVSB property.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setProductnumber(String value)`
  Sets the value of the productnumber property.
  `void`
  `setPublicPrice(BigDecimal value)`
  Sets the value of the publicPrice property.
  `void`
  `setSupplement(BigDecimal value)`
  Sets the value of the supplement property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationAccessoryType

    public ApplicationAccessoryType()

- ## Method Details

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van de aanpassing. Dit moet een door VSB erkende prestatiecode zijn. Bij verhuur mogen er geen aanpassingen worden opgenomen in de aanvraag.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getProductnumber

    public String getProductnumber()
    Elke prestatiecode van een aanpassing heeft een productcode. Dit is dan ook een verplicht in te vullen veld. Uitzondering zijn de prestatiecodes voor BTC.
    Returns:
      possible object is `String`

  - ### setProductnumber

    public void setProductnumber(String value)
    Sets the value of the productnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductnumber()`

  - ### getPublicPrice

    public BigDecimal getPublicPrice()
    Publieke prijs van de aanpassing.
    Returns:
      possible object is `BigDecimal`

  - ### setPublicPrice

    public void setPublicPrice(BigDecimal value)
    Sets the value of the publicPrice property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getPublicPrice()`

  - ### getAllowanceVSB

    public BigDecimal getAllowanceVSB()
    Tegemoetkoming VSB van de aanpassing.
    Returns:
      possible object is `BigDecimal`

  - ### setAllowanceVSB

    public void setAllowanceVSB(BigDecimal value)
    Sets the value of the allowanceVSB property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAllowanceVSB()`

  - ### getSupplement

    public BigDecimal getSupplement()
    Supplement van de aanpassing, kan gelijk zijn aan 0.
    Returns:
      possible object is `BigDecimal`

  - ### setSupplement

    public void setSupplement(BigDecimal value)
    Sets the value of the supplement property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getSupplement()`